For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get all transactions

Returns all Offramp transactions

This endpoint will return all offramp transactions

Get all Offramp transactions

POST https://api.onramp.money/onramp/api/v2/whiteLabel/offramp/allTransaction

Request Body

Name
Type
Description

pageSize*

String

Number of Transactions per page. Should be greater than 0 and less than 500

page*

String

Current page Number

Should be greater than 0

{
    "status": 1,
    "code": 200,
    "data": [
        {
            "transactionId": "463",
            "createdAt": "2023-12-07T21:28:41.000Z",
            "updatedAt": "2023-12-08T00:24:03.000Z",
            "fromAmount": "20",
            "toAmount": "8.94",
            "fromCurrency": "usdc",
            "toCurrency": "INR",
            "chain": "matic20",
            "fiatAccountId": "1",
            "status": "2",
            "transactionHash": "0x9819asndan1238haj2h3bdnsmd2j2js",
            "kycNeeded": 0
        },
        {
            "transactionId": "462",
            "createdAt": "2023-12-07T21:26:41.000Z",
            "updatedAt": "2023-12-07T21:26:41.000Z",
            "fromAmount": "20",
            "toAmount": "8.94",
            "fromCurrency": "usdc",
            "toCurrency": "INR",
            "chain": "matic20",
            "fiatAccountId": "1",
            "status": "1",
            "transactionHash": "0x9819asndan1238haj2h3bdnsmd2j2js",
            "kycNeeded": 0
        },
        {
            "transactionId": "461",
            "createdAt": "2023-12-07T21:25:46.000Z",
            "updatedAt": "2023-12-07T21:25:46.000Z",
            "fromAmount": "20",
            "toAmount": "8.94",
            "fromCurrency": "usdc",
            "toCurrency": "INR",
            "chain": "matic20",
            "fiatAccountId": "1",
            "status": "1",
            "transactionHash": "0x9819asndan1238haj2h3bdnsmd2j2js",
            "kycNeeded": 0
        },
}

  • status -> 0 is for unsuccessful request, 1 is for a successful one.

  • transactionId -> unique identifier of the transaction

  • createdAt -> time at which the transaction was created.

  • fromAmount -> Quantity of crypto received by the onramp.money.

  • toAmount -> Actual fiat amount received by user

  • fromCurrency -> symbol of the coin (e.g. USDT).

  • toCurrency -> fiat used for the transaction.

  • chain -> denotes which chain the coin was sent on (e.g. MATIC20).

  • fiatAccountId -> Unique ID of fiat account to withdraw off-ramped fiat to

  • status -> current status of Offramp transaction

    • -6 -> order refunded

    • -4 -> amount mismatch

    • -2 -> transaction abandoned.

    • -1 -> transaction time out.

    • 0 -> order created.

    • 1 -> order confirmed i.e. hash generated.

    • 2 or 10 or 11 -> hash found status.

    • 3 -> over limit (If the user sends a quantity of cryptocurrency that exceeds their KYC limit, their funds will be withheld until reviewed manually).

    • 4 or 12 -> crypto sold.

    • 5 or 13 -> fiat withdrawal initiated to bank

    • 6 or 14 -> fiat withdrawal processed.

    • 7 or 15 -> webhook sent

    • 17 -> provide alternate bank

    • 18 -> processing to alternate bank

    • 19 -> success

  • transactionHash -> transaction hash related to this order.

  • rate -> rate at which the order was executed, displayed only for successful transactions.

  • kycNeeded -> Request for Information.

Last updated